﻿using ExamTry.Patterns;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace ExamTry.NewWindowsForAgent
{
    /// <summary>
    /// Логика взаимодействия для AddNewAgent.xaml
    /// </summary>
    public partial class AddNewAgent : Window
    {
        public AddNewAgent( ViewModel viewModel)
        {
            InitializeComponent();
            DataContext = viewModel;
            CommandBindings.Add(viewModel.AddImageBinding);
            CommandBindings.Add(viewModel.AddAgentBinding);
        }
    }
}
