﻿using ExamTry.Patterns;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace ExamTry.NewWindowsForAgent
{
    /// <summary>
    /// Логика взаимодействия для AgentEdit.xaml
    /// </summary>
    public partial class AgentEdit : Window
    {
        public AgentEdit(ViewModel viewMode)
        {
            InitializeComponent();
            DataContext = viewMode;
            CommandBindings.Add(viewMode.EditmageBinding);
            CommandBindings.Add(viewMode.SaveEditBinding);
            CommandBindings.Add(viewMode.RemoveEditBinding);
        }
    }
}
