﻿using ExamTry.NewWindowsForAgent;
using ExamTry.Patterns;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace ExamTry.Pages
{
    /// <summary>
    /// Логика взаимодействия для AgentPage.xaml
    /// </summary>
    public partial class AgentPage : Page
    {
        ViewModel viewModel = new ViewModel();
        public AgentPage()
        {
            InitializeComponent();
            DataContext = viewModel;
          //  prioritetyBtn.Visibility = Visibility.Collapsed;
        }


        private void AgentList_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            if (AgentList.SelectedItems.Count > 1)
            {
                prioritetyBtn.Visibility = Visibility.Visible;
            }
            else
            {
                prioritetyBtn.Visibility = Visibility.Collapsed;
            }
        }

        private void ChagePrior(object sender, RoutedEventArgs e)
        {
            ChangePriopitety chagePrioret = new ChangePriopitety();
            chagePrioret.ShowDialog();
        }

        private void EditAgent(object sender, MouseButtonEventArgs e)
        {
            AgentEdit eA = new AgentEdit(viewModel);
            eA.ShowDialog();
        }

        private void OpenWindowAddAgent(object sender, RoutedEventArgs e)
        {
            AddNewAgent eA = new AddNewAgent(viewModel);
            eA.ShowDialog();

        }
    }
}
